/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

package org.glite.ce.creamapi.cmdmanagement;

public interface CommandManagerInterface {
    public static final String COMMAND_DATABASE_NAME = "creamdb";
    public static final String COMMAND_DATASOURCE_NAME = "java:comp/env/jdbc/creamdb";

    public void addCommandExecutor(CommandExecutor cmdExec) throws CommandManagementException, IllegalArgumentException;

    public void addCommandExecutor(CommandExecutor[] cmdExec) throws CommandManagementException, IllegalArgumentException;

    public void destroy() throws CommandManagementException;

    public void deleteCommand(String cmdId) throws CommandException, IllegalArgumentException;

    public Command getCommand(String cmdId) throws CommandException, IllegalArgumentException;

    public void insertCommand(Command cmd) throws CommandException, IllegalArgumentException;

    public void removeCommandExecutor(CommandExecutor cmdExec) throws CommandManagementException, IllegalArgumentException;

    public void removeCommandExecutor(CommandExecutor[] cmdExec) throws CommandManagementException, IllegalArgumentException;

    public void removeCommandExecutor(String name, String category) throws CommandManagementException, IllegalArgumentException;

    public void updateCommand(Command cmd) throws CommandException, IllegalArgumentException;
    
    public void updateCommand(Command cmd, boolean lightUpdate) throws CommandException, IllegalArgumentException;
}
