/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

package org.glite.ce.creamapi.cmdmanagement.queue;

import org.glite.ce.creamapi.cmdmanagement.Command;

public interface CommandQueueInterface {
       
       public void enqueueCommand(Command cmd) throws CommandQueueException, IllegalArgumentException;
       public void dequeueCommand(String cmdId) throws CommandQueueException, IllegalArgumentException;
       public Command fetchCommand() throws CommandQueueException, IllegalArgumentException;
       public void setFetchCommandTimeout(long mtTimeout);

       public void recoverQueue() throws CommandQueueException, IllegalArgumentException;

       public String getName();
       public boolean isOpen();
       public void open();
       public void close();
       public void destroy();
       
}
