/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
 
/*
 *
 * Authors: Luigi Zangrando <zangrando@pd.infn.it>
 *
 */

package org.glite.ce.creamapi.delegationmanagement.db;

import java.util.List;

import org.glite.ce.creamapi.delegationmanagement.Delegation;
import org.glite.ce.creamapi.delegationmanagement.DelegationException;



public interface DelegationDBInterface {
    
    public void deleteDelegation(String delegationId, String dn, String localUser) throws DelegationException;

    public Delegation getDelegation(String delegationId, String dn, String localUser) throws DelegationException;

    public List<Delegation> getExpiredDelegation() throws DelegationException;
        
    public void insertDelegation(Delegation delegation) throws DelegationException;
    
    public List<Delegation> listDelegations(String dn, String localUser) throws DelegationException;
    
    public void updateDelegation(Delegation delegation) throws DelegationException;
}