/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
 
/*
 *
 * Authors: Eric Frizziero <eric.frizziero@pd.infn.it>
 *
 */

package org.glite.ce.creamapi.jobmanagement.cmdexecutor;

public class JobCommandConstant {
    public static final String JOB_MANAGEMENT = "JOB_MANAGEMENT";
    
    public static final int JOB_REGISTER         = 0;
    public static final int JOB_START            = 1;
    public static final int JOB_CANCEL           = 2;
    public static final int JOB_STATUS           = 3;
    public static final int JOB_SUSPEND          = 4;
    public static final int JOB_RESUME           = 5;
    public static final int JOB_PURGE            = 6;
    public static final int JOB_LIST             = 7;
    public static final int JOB_INFO             = 8;
    public static final int JOB_SET_LEASEID      = 9;
    public static final int SET_LEASE            = 10;
    public static final int GET_LEASE            = 11;
    public static final int DELETE_LEASE         = 12;
    public static final int PROXY_RENEW          = 13;
    public static final int SET_ACCEPT_NEW_JOBS  = 14;
    public static final int GET_SERVICE_INFO     = 15;
    public static final int SET_JOB_STATUS       = 16;
    public static final int QUERY_EVENT          = 17;
    public static final int COPY_NEW_PROXY_TO_SANDBOX = 18;
    public static final int DELETE_PROXY_FROM_SANDBOX = 19;
    //public static final int UPDATE_PROXY_TO_SANDBOX = 19;
    
    public static final String[] cmdName = new String[] { "JOB_REGISTER", 
    	                                                  "JOB_START", 
    	                                                  "JOB_CANCEL", 
                                                          "JOB_STATUS", 
                                                          "JOB_SUSPEND", 
                                                          "JOB_RESUME", 
                                                          "JOB_PURGE", 
                                                          "JOB_LIST", 
                                                          "JOB_INFO", 
                                                          "JOB_SET_LEASEID", 
                                                          "SET_LEASE", 
                                                          "GET_LEASE", 
                                                          "DELETE_LEASE", 
                                                          "PROXY_RENEW",
                                                          "SET_ACCEPT_NEW_JOBS",
                                                          "GET_SERVICE_INFO",
                                                          "SET_JOB_STATUS",
                                                          "QUERY_EVENT",
                                                          "COPY_NEW_PROXY_TO_SANDBOX",
                                                          "DELETE_PROXY_FROM_SANDBOX",
                                                          //"UPDATE_PROXY_TO_SANDBOX"
                                                         };

}

